Package virtuoso.jdbc4

## Class VirtuosoExtendedString

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoExtendedString

All Implemented Interfaces:
  `ExtendedString`

    public class VirtuosoExtendedString
    extends java.lang.Object
    implements ExtendedString

### Field Summary

Fields
`static int` `BNODE`
`static int` `IRI`
`int` `iriType`
`java.lang.String` `str`
`int` `strType`

### Constructor Summary

Constructors
`VirtuosoExtendedString​(int type)`
`VirtuosoExtendedString​(java.lang.String str, int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getIriType​()`
`int` `getStrType​()`
`java.lang.String` `toString​()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### str

    public java.lang.String str

#### strType

    public int strType

#### iriType

    public int iriType

#### IRI

    public static final int IRI

See Also:
  Constant Field Values

#### BNODE

    public static final int BNODE

See Also:
  Constant Field Values

### Constructor Detail

#### VirtuosoExtendedString

    public VirtuosoExtendedString​(java.lang.String str,
                                  int type)

#### VirtuosoExtendedString

    public VirtuosoExtendedString​(int type)

### Method Detail

#### toString

    public java.lang.String toString​()

Specified by:
  `toString` in interface `ExtendedString`
Overrides:
  `toString` in class `java.lang.Object`

#### getIriType

    public int getIriType​()

Specified by:
  `getIriType` in interface `ExtendedString`

#### getStrType

    public int getStrType​()

Specified by:
  `getStrType` in interface `ExtendedString`